#pragma warning( disable : 4996 )

#include <windows.h>


#define EXPORT_API __declspec(dllexport)
#define EXTERN_C extern "C"

//---------------------------------------------------------------------------
//
//---------------------------------------------------------------------------


EXTERN_C int  EXPORT_API Bridge_Connect(void);
EXTERN_C void EXPORT_API Bridge_Disconnect(void);
EXTERN_C bool EXPORT_API Bridge_StoreAll(void);
EXTERN_C bool EXPORT_API Bridge_StoreResults(void);

//TASKS
EXTERN_C int  EXPORT_API Bridge_GetNumberofTask(void);
EXTERN_C int  EXPORT_API Bridge_GetTaskColor(int taskId);
EXTERN_C int  EXPORT_API Bridge_GetTask(int taskNr,char* prjName,char* appName,char* taskName,char* taskState,char* fractionDone);

//PROJECTS
EXTERN_C int  EXPORT_API Bridge_GetNumberofProjects();
EXTERN_C int  EXPORT_API Bridge_GetProjectColor(int prjId);
EXTERN_C int  EXPORT_API Bridge_GetProject(int projectNr,char* prjName,char* totWUs,char* taskState,char* userName,char* totCredits);

//COMMANDS
EXTERN_C int  EXPORT_API Bridge_SetCommand(int mode, int id, int command);
EXTERN_C int  EXPORT_API Bridge_SetCPU(bool active); 
EXTERN_C int  EXPORT_API Bridge_SetGPU(bool active); 



//---------------------------------------------------------------------------
//
//---------------------------------------------------------------------------

#define MAX_PROJECTS 100
#define MAX_WU		 5000

struct DATA_STRUCT 
{
    int totProjects;
    char projectName[MAX_PROJECTS][255];
	char projectUserName[MAX_PROJECTS][100];
	char projectCredits[MAX_PROJECTS][30];
	char projectState[MAX_PROJECTS][50];
	int projectWUs[MAX_PROJECTS];
	int projectColor[MAX_PROJECTS];
	int projectStopAt[MAX_PROJECTS]; //USER: stoppare al xx%

	int totWUs;
	char WUprojectName[MAX_WU][50];
	char WUName[MAX_WU][255];
	int  WUFractionDone[MAX_WU];
	char WUstate[MAX_WU][50];
	char WUAppName[MAX_WU][255];
	char WUColor[MAX_WU];
};

//---------------------------------------------------------------------------
//
//---------------------------------------------------------------------------